Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Monium
  • Getting started
  • Overview
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
        • Overview
          • Overview
          • Get
          • List
          • Create
          • Update
          • Delete
          • Run
          • ListOperations
          • ListAccessBindings
          • SetAccessBindings
          • UpdateAccessBindings
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ExportParams
  1. API reference
  2. Logs
  3. REST
  4. Export
  5. Get

Cloud Logging Service, REST: Export.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • ExportParams

Returns the specified export.
To get the list of all available exports, make a List request.

HTTP requestHTTP request

GET https://logging.api.cloud.yandex.net/logging/v1/exports/{exportId}

Path parametersPath parameters

Field

Description

exportId

string

Required field. ID of the export to return.
To get a export ID make a ExportService.List request.

The maximum string length in characters is 64.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "cloudId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "groupId": "string",
  "sinkId": "string",
  "params": {
    "resourceTypes": [
      "string"
    ],
    "resourceIds": [
      "string"
    ],
    "streamNames": [
      "string"
    ],
    "levels": [
      "string"
    ],
    "filter": "string"
  }
}

Field

Description

id

string

Export ID.

folderId

string

Export folder ID.

cloudId

string

Export cloud ID.

createdAt

string (date-time)

Export creation time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Export name.

description

string

Export description.

labels

object (map<string, string>)

Export lables.

groupId

string

Group logs are exported from.

sinkId

string

Sink logs are exported to.

params

ExportParams

Parameters of logs filtration.

ExportParamsExportParams

Field

Description

resourceTypes[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

resourceIds[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

streamNames[]

string

The maximum string length in characters for each value is 63. The maximum number of elements is 100.

levels[]

enum (Level)

The maximum number of elements is 10.

  • TRACE: Trace log level.
    Possible use case: verbose logging of some business logic.
  • DEBUG: Debug log level.
    Possible use case: debugging special cases in application logic.
  • INFO: Info log level.
    Mostly used for information messages.
  • WARN: Warn log level.
    May be used to alert about significant events.
  • ERROR: Error log level.
    May be used to alert about errors in infrastructure, logic, etc.
  • FATAL: Fatal log level.
    May be used to alert about unrecoverable failures and events.

filter

string

The maximum string length in characters is 1000.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.